<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$detalle=$_REQUEST["detalle"];

$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();

$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;
      <a href='calculo_vacaciones.php'>
          <img border='0' src='img2/regresa.png' alt='Regresar'>
          Regresar
      </a>";
//echo "&nbsp;&nbsp;<img border = 0 src='img2/borrar.png' alt='Elimina'>&nbsp;Eliminar Fecha <hr>";

echo "<h2><center>ACTUALIZACION CALENDARIO DIAS FERIADOS</center></h2><br>";
?>

<head>
	<script language='JavaScript' type="text/javascript">
	function validar_comprobante(formulario) {
		checkStr = formulario.fec.value; 
		if (checkStr.length==0) {
			alert("Debe introducir Fecha Feriado...");
			formulario.fec.focus(); 
			return (false); 
		}
		checkStr = formulario.detalle.value; 
		if (checkStr.length==0) {
			alert("Debe introducir Detalle...");
			formulario.detalle.focus(); 
			return (false); 
		}
	}
	function validar_elimina() {
		x = confirm('¿Quieres eliminar Registro Actual?');
		return x;
	}
	function validar_grabar() {
		x = confirm('¿Quieres Grabar el Registro Actual?');
		return x;
	}
	</script>
</head>

<?
////////////////////////////////////////////  grabar documento
if ($_POST['bandera']==1) {
		$fec = "2013-".'-'.substr($_POST['fec'],2,2)."-".substr($_POST['fec'],0,2) ;
		$consulta	 ="insert into tab_feriado (id, fecha,detalle) values ";
		$consulta 	.="('".$_SESSION['id_validar']."','".$fec."','".$_POST['detalle']."')";
		$resultado = mysqli_query($enlace, $consulta)  or die($consulta . mysqli_error($enlace));
		$men="Registro Grabado..";
}

////////////////////////////////////////////  eliminar item
if ($accion==2) {
		$consulta="delete from tab_feriado where fecha='".$codigo."' and id='".$_SESSION['id_validar']."' ";
		$resultado = mysqli_query($enlace, $consulta)  or die($consulta . mysqli_error($enlace));
		$men="Registro Eliminado..";
}


////////////////////////////////////////////  pantalla inicial
if (!$_POST || $_POST['bandera']==1) {
?>	
	<form name = 'entrada' action = '<? echo $_SERVER['PHP_SELF']; ?>' method = 'POST' onSubmit='return validar_comprobante(this)'>
		<input type = 'hidden' name = 'bandera' value = '1'>
		<table align='center'>
			<tr>
				<td align='right'><font face='verdana' size='2' color='red' ><b>Fecha (DDMM)?</b></td>
				<td ><input type = 'text' name='fec' size='20' maxlength='4'>
				</font></td>
			</tr>
			<tr>
				<td align='right'><font face='verdana' size='2' color='#6E6E6E'>Detalle?</td>
				<td ><input type = 'text' name='detalle' size='50' >
				</font></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>	
			<tr>
				<td align='right'><font face='verdana' size='2' color='#6E6E6E'>Opci&oacute;n:</font></td>
				<td><input type = 'submit' class='boton' value = 'Grabar Fecha' onclick='return validar_grabar()'></td>
			</tr>
		</table>
		<center><font size=3 face='Verdana' color='red'><b><?echo $men; ?></b></font></center>	
		<script language='javascript' type='text/javascript'>
			document.entrada.fec.focus();
		</script>
	</form>
	
<? } 

	$consulta="select * from tab_feriado where id='".$_SESSION['id_validar']."' order by fecha desc";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#43bced' height='35'>";
		echo "<th align = left><font color='white'> # </font></th>";
		echo "<th align = center><font color='white'> Fecha (MM-DD) </font></th>";
		echo "<th align = left><font color='white'> Detalle </font></th>";
		echo "<th align = center><font color='white'> Acción </font></th></tr>";
		for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#ffffff" >';
				else echo '<tr bgcolor="#CFE7DE">';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50' class='numeroFila'>".$linea."</td>";
				echo "<td width='100' align='center'>".mes(substr($row['fecha'],5,2)).'-'.substr($row['fecha'],8,2)."</td>";
				echo "<td width='200' align='left'>".$row['detalle']."</td>";
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&codigo=".$row['fecha']."'><img border = 0 src='img2/borrar.png' alt='Eliminar'></a></td>";
				echo '</tr>';
		}
		echo '</tr></table></form>';
	}  		
	mysqli_free_result($resultado);	
	mysqli_close($enlace); 

    echo "</font></body>";
	echo "</html>";
?>

<style>

	.numeroFila {
		color: black;
		font-weight: bold;
	}

	.boton {
    border-radius: 8px;      /* Bordes redondeados */
    padding: 8px 16px;       /* Más espacio interno */
    border: none;            /* Quita el borde feo por defecto */
    cursor: pointer;         /* Mano al pasar */
    transition: 0.2s ease;   /* Animación suave */
	}

	.boton:hover {
	transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
	}

	</style>